
QGIS Application - Bug report #17439

Rendering problems - objects randomly appears and disappears

2017-11-09 09:55 PM - Darek Bobak

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: Yes

Operating System: Windows 10 Pro, Polish version Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25336

Description

When zooming in and out, objects in map randomly disappears and shows again.

I'm usually installing a new version of QGIS from OSGEO4W installer daily, the problem appeared two days ago.

I'm attaching sample project and spatialite database.

History

#1 - 2017-11-10 11:02 AM - Darek Bobak

I've checked the last version without this bug, its:

QGIS version

2.99.0-Master

QGIS code revision

df0d717f92

Compiled against Qt

5.9.2

Running against Qt

5.9.2

Compiled against GDAL/OGR

2.2.2

Running against GDAL/OGR

2.2.2

Compiled against GEOS

3.5.0-CAPI-1.9.0

Running against GEOS

3.5.0-CAPI-1.9.0 r4084

PostgreSQL Client Version

9.2.4

SpatiaLite Version

4.3.0

QWT Version

6.1.3

PROJ.4 Version

493

QScintilla2 Version

2.10.1

This copy of QGIS writes debugging output.
#2 - 2017-11-12 11:00 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:fef56184bc032482

#3 - 2017-11-13 04:02 AM - Mathieu Pellerin - nIRV

- File gonebabygone.mp4 added

Jürgen, are you sure this is fixed? I still see this issue on my build (linux) which includes the referred commit.

Attaching a video of the (rather scary) issue. The features randomly going missing are the dark pink ones.

It's been affecting QGIS master for several months now.

#4 - 2017-11-13 09:09 AM - Darek Bobak

With the latest update from OSGEO4W the problem is fixed (at least, for me).

#5 - 2017-11-13 09:30 AM - Jürgen Fischer

Mathieu Pellerin - nIRV wrote:

Jürgen, are you sure this is fixed? I still see this issue on my build (linux) which includes the referred commit.

I wasn't seeing it on Linux.  And on Windows I bisected it to commit:49de489c09db539968b494f020599ca02ba253dc - before

commit:fef56184bc032482, after that it's gone for me.

#6 - 2017-11-13 11:52 AM - Mathieu Pellerin - nIRV

Jurgen, OK, all good.

The issue captured in the video has to do with joined fields; ignore my noise ;)

Files

sample.zip 3.4 MB 2017-11-09 Darek Bobak

gonebabygone.mp4 2.26 MB 2017-11-13 Mathieu Pellerin - nIRV
